Bug 128948 - aliases defined or not depending on a value of $TERM
aliases defined or not depending on a value of $TERM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-01 18:04 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 5.2.1-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 11:19:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-08-01 18:04:43 EDT
Description of problem:

/etc/profile.d/colorls.sh has the following code:

eval `dircolors --sh "$COLORS"`
[ -z "$LS_COLORS" ] && return

and this means that if $TERM does not show up in "$COLORS" as
"colorizable" then, quite surprisingly, aliases 'll' and 'l.'
are not defined at all.  This happened when after recent updates
FC3t1 suddenly started to sport TERM=gnome.

The code really should be:

....
alias ll='ls -l' 2>/dev/null
alias l.='ls -d .*' 2>/dev/null
eval `dircolors --sh "$COLORS"`
[ -z "$LS_COLORS" ] && return
....

with 'll' and 'l.' redefined if it was decided that adding
'--color=tty' is a good idea.

The situation is really the same in /etc/profile.d/colorls.csh

Version-Release number of selected component (if applicable):
coreutils-5.2.1-18 and earlier too
Comment 1 Tim Waugh 2004-08-03 07:57:30 EDT
Fixed in CVS.  Thanks for the report.
Comment 2 Tim Waugh 2004-08-04 11:19:25 EDT
Fixed package is 5.2.1-19.

Note You need to log in before you can comment on or make changes to this bug.